package com.datacloudsec.scan.service.impl;

import com.datacloudsec.scan.common.Constant;
import com.datacloudsec.scan.dao.BaselineMapper;
import com.datacloudsec.scan.dao.DbMapper;
import com.datacloudsec.scan.dao.DlpscanMapper;
import com.datacloudsec.scan.dao.HorseMapper;
import com.datacloudsec.scan.dao.MaliMapper;
import com.datacloudsec.scan.dao.PwdMapper;
import com.datacloudsec.scan.dao.ResultMapper;
import com.datacloudsec.scan.dao.TaskMapper;
import com.datacloudsec.scan.dao.WebMapper;
import com.datacloudsec.scan.service.IResult;
import com.datacloudsec.utils.DataRule;
import com.datacloudsec.utils.EntryResult;
import com.datacloudsec.utils.InstanceUtil;
import com.datacloudsec.utils.ObjectUtil;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpSession;

/* loaded from: com_datacloudsec_scan_service_impl.jar:com/datacloudsec/scan/service/impl/ResultService.class */
public class ResultService implements IResult {
    private ResultMapper resultMapper = (ResultMapper) InstanceUtil.newDaoInstance(ResultMapper.class);
    private TaskMapper taskMapper = (TaskMapper) InstanceUtil.newDaoInstance(TaskMapper.class);
    private BaselineMapper baselineMapper = (BaselineMapper) InstanceUtil.newDaoInstance(BaselineMapper.class);
    private PwdMapper pwdMapper = (PwdMapper) InstanceUtil.newDaoInstance(PwdMapper.class);
    private DbMapper dbMapper = (DbMapper) InstanceUtil.newDaoInstance(DbMapper.class);
    private WebMapper webMapper = (WebMapper) InstanceUtil.newDaoInstance(WebMapper.class);
    private HorseMapper horseMapper = (HorseMapper) InstanceUtil.newDaoInstance(HorseMapper.class);
    private MaliMapper maliMapper = (MaliMapper) InstanceUtil.newDaoInstance(MaliMapper.class);
    private DlpscanMapper dlpscanMapper = (DlpscanMapper) InstanceUtil.newDaoInstance(DlpscanMapper.class);

    public List<Map<String, Object>> bugResult(HttpSession session, String name, Integer type, Integer level, Integer offset, Integer limit) throws Exception {
        return this.resultMapper.getBugByDevid(DataRule.getRuleWhere(session, "t_task"), name, type, level, offset, limit);
    }

    public Integer getBugCountByDevid(HttpSession session, String name, Integer type, Integer level) {
        return this.resultMapper.getBugCountByDevid(DataRule.getRuleWhere(session, "t_task"), name, type, level);
    }

    public List<Map<String, Object>> getSysDevByBug(HttpSession session, String oid, Integer offset, Integer limit) throws Exception {
        return this.resultMapper.getSysDevByBug(DataRule.getRuleWhere(session, "t_task"), oid, offset, limit);
    }

    public Integer getSysCountDevByBug(HttpSession session, String oid) throws Exception {
        return this.resultMapper.getSysCountDevByBug(DataRule.getRuleWhere(session, "t_task"), oid);
    }

    public List<Map<String, Object>> getDbDevByBug(HttpSession session, String poliid, Integer offset, Integer limit) throws Exception {
        return this.resultMapper.getDbDevByBug(DataRule.getRuleWhere(session, "t_task"), poliid, offset, limit);
    }

    public Integer getDbCountDevByBug(HttpSession session, String poliid) throws Exception {
        return this.resultMapper.getDbCountDevByBug(DataRule.getRuleWhere(session, "t_task"), poliid);
    }

    public List<Map<String, Object>> getWebDevByBug(HttpSession session, String name, Integer offset, Integer limit) throws Exception {
        return this.resultMapper.getWebDevByBug(DataRule.getRuleWhere(session, "t_task"), name, offset, limit);
    }

    public Integer getWebCountDevByBug(HttpSession session, String name) throws Exception {
        return this.resultMapper.getWebCountDevByBug(DataRule.getRuleWhere(session, "t_task"), name);
    }

    public String getOidByBugId(Integer id) throws Exception {
        return this.resultMapper.getOidByBugId(id);
    }

    public Map<String, Object> deviceResult(Integer devid, Integer type) throws Exception {
        Map<String, Object> jr = new HashMap<>();
        switch (type.intValue()) {
            case 0:
                Map<String, List<Object>> websta = EntryResult.parseEntryList(this.webMapper.getBugStaByTwid(devid), "type", "bugnum");
                List<Map<String, Object>> webLineList = new ArrayList<>();
                Map<String, Object> webLineSec = new HashMap<>();
                webLineSec.put("name", "安全漏洞");
                webLineSec.put("data", websta == null ? 0 : websta.get(ReportService.REPORT_STATE_SUCCESS));
                webLineList.add(webLineSec);
                Map<String, Object> webLineHorse = new HashMap<>();
                webLineHorse.put("name", "网马和暗链");
                webLineHorse.put("data", websta == null ? 0 : websta.get(ReportService.REPORT_STATE_FAILED));
                webLineList.add(webLineHorse);
                Map<String, Object> webLineKeyword = new HashMap<>();
                webLineKeyword.put("name", "敏感内容");
                webLineKeyword.put("data", websta == null ? 0 : websta.get("3"));
                webLineList.add(webLineKeyword);
                Map<String, Object> webLineTamper = new HashMap<>();
                webLineTamper.put("name", "篡改");
                webLineTamper.put("data", websta == null ? 0 : websta.get("4"));
                webLineList.add(webLineTamper);
                Map<String, Object> webLineFish = new HashMap<>();
                webLineFish.put("name", "钓鱼检测");
                webLineFish.put("data", websta == null ? 0 : websta.get("6"));
                webLineList.add(webLineFish);
                jr.put("bugsta", webLineList);
                jr.put("colors", Constant.BUG_WEB_COLOR);
                Map<String, Object> webPie = EntryResult.parseEntry(this.webMapper.bugCount(devid), "type", "bugnum");
                List<Map<String, Object>> webPieList = new ArrayList<>();
                Map<String, Object> webPieBug = new HashMap<>();
                webPieBug.put("name", "安全漏洞");
                webPieBug.put("y", webPie == null ? 0 : webPie.get(ReportService.REPORT_STATE_SUCCESS));
                webPieList.add(webPieBug);
                Map<String, Object> webPieHorse = new HashMap<>();
                webPieHorse.put("name", "网马和暗链");
                webPieHorse.put("y", webPie == null ? 0 : webPie.get(ReportService.REPORT_STATE_FAILED));
                webPieList.add(webPieHorse);
                Map<String, Object> webPieKey = new HashMap<>();
                webPieKey.put("name", "敏感内容");
                webPieKey.put("y", webPie == null ? 0 : webPie.get("3"));
                webPieList.add(webPieKey);
                Map<String, Object> webPieTamper = new HashMap<>();
                webPieTamper.put("name", "篡改");
                webPieTamper.put("y", webPie == null ? 0 : webPie.get("4"));
                webPieList.add(webPieTamper);
                Map<String, Object> webPieFish = new HashMap<>();
                webPieFish.put("name", "钓鱼检测");
                webPieFish.put("y", webPie == null ? 0 : webPie.get("6"));
                webPieList.add(webPieFish);
                jr.put("bugpie", webPieList);
                break;
            case 1:
                jr.put("bugtime", this.taskMapper.bugtimeForDevice(devid));
                Map<String, List<Object>> bugsta = EntryResult.parseEntryList(this.taskMapper.sysBugForDevice(devid), "level", "bugnum");
                List<Map<String, Object>> sysLineList = new ArrayList<>();
                Map<String, Object> sysHigh = new HashMap<>();
                sysHigh.put("name", "高危漏洞");
                sysHigh.put("data", bugsta == null ? 0 : bugsta.get(ReportService.REPORT_STATE_SUCCESS));
                sysLineList.add(sysHigh);
                Map<String, Object> sysMedium = new HashMap<>();
                sysMedium.put("name", "中危漏洞");
                sysMedium.put("data", bugsta == null ? 0 : bugsta.get(ReportService.REPORT_STATE_FAILED));
                sysLineList.add(sysMedium);
                Map<String, Object> sysLow = new HashMap<>();
                sysLow.put("name", "低危漏洞");
                sysLow.put("data", bugsta == null ? 0 : bugsta.get("3"));
                sysLineList.add(sysLow);
                Map<String, Object> sysInfo = new HashMap<>();
                sysInfo.put("name", "信息");
                sysInfo.put("data", bugsta == null ? 0 : bugsta.get("4"));
                sysLineList.add(sysInfo);
                jr.put("bugsta", sysLineList);
                Map<String, Object> bugpie = EntryResult.parseEntry(this.taskMapper.bugPie(devid), "level", "bugnum");
                List<Map<String, Object>> sysPieList = new ArrayList<>();
                Map<String, Object> sysPieHigh = new HashMap<>();
                sysPieHigh.put("name", "高危漏洞");
                sysPieHigh.put("y", bugpie == null ? 0 : bugpie.get(ReportService.REPORT_STATE_SUCCESS));
                sysPieList.add(sysPieHigh);
                Map<String, Object> sysPieMedium = new HashMap<>();
                sysPieMedium.put("name", "中危漏洞");
                sysPieMedium.put("y", bugpie == null ? 0 : bugpie.get(ReportService.REPORT_STATE_FAILED));
                sysPieList.add(sysPieMedium);
                Map<String, Object> sysPieLow = new HashMap<>();
                sysPieLow.put("name", "低危漏洞");
                sysPieLow.put("y", bugpie == null ? 0 : bugpie.get("3"));
                sysPieList.add(sysPieLow);
                Map<String, Object> sysPieInfo = new HashMap<>();
                sysPieInfo.put("name", "信息");
                sysPieInfo.put("y", bugpie == null ? 0 : bugpie.get("4"));
                sysPieList.add(sysPieInfo);
                jr.put("bugpie", sysPieList);
                jr.put("colors", Constant.BUG_SYS_COLOR);
                break;
            case 2:
                List<Map<String, Object>> bineSta = this.baselineMapper.blineBugForDevice(devid);
                List<String> time = new ArrayList<>();
                ArrayList arrayList = new ArrayList();
                ArrayList arrayList2 = new ArrayList();
                for (Map<String, Object> bline : bineSta) {
                    time.add(ObjectUtil.getString(bline.get("time"), ""));
                    arrayList.add(Integer.valueOf(ObjectUtil.getInt(bline.get("accord"), 0)));
                    arrayList2.add(Integer.valueOf(ObjectUtil.getInt(bline.get("inconformity"), 0)));
                }
                jr.put("bugtime", time);
                List<Map<String, Object>> blineLineList = new ArrayList<>();
                Map<String, Object> accordMap = new HashMap<>();
                accordMap.put("name", "符合项");
                accordMap.put("data", arrayList);
                blineLineList.add(accordMap);
                Map<String, Object> inconMap = new HashMap<>();
                inconMap.put("name", "不符合项");
                inconMap.put("data", arrayList2);
                blineLineList.add(inconMap);
                jr.put("bugsta", blineLineList);
                Map<String, Object> blinePie = this.baselineMapper.bugPie(devid);
                List<Map<String, Object>> blinePieList = new ArrayList<>();
                Map<String, Object> blinePieAccord = new HashMap<>();
                blinePieAccord.put("name", "符合项");
                blinePieAccord.put("y", blinePie == null ? 0 : blinePie.get("accord"));
                blinePieList.add(blinePieAccord);
                Map<String, Object> blinePieIncon = new HashMap<>();
                blinePieIncon.put("name", "不符合项");
                blinePieIncon.put("y", blinePie == null ? 0 : blinePie.get("inconformity"));
                blinePieList.add(blinePieIncon);
                jr.put("bugpie", blinePieList);
                jr.put("colors", Constant.BUG_BLINE_COLOR);
                break;
            case 3:
            case 10:
                jr.put("bugpie", this.pwdMapper.bugPie(devid));
                List<String> bugtimes = new ArrayList<>();
                ArrayList arrayList3 = new ArrayList();
                for (Map<String, Object> pwdDev : this.pwdMapper.pwdBugForDevice(devid)) {
                    bugtimes.add(ObjectUtil.getString(pwdDev.get("time"), ""));
                    arrayList3.add(Integer.valueOf(ObjectUtil.getInt(pwdDev.get("num"), 0)));
                }
                jr.put("bugtime", bugtimes);
                List<Map<String, Object>> pwd = new ArrayList<>();
                Map<String, Object> map = new HashMap<>();
                map.put("name", "弱口令");
                map.put("data", arrayList3);
                pwd.add(map);
                jr.put("bugsta", pwd);
                break;
            case 4:
                jr.put("bugpie", this.dbMapper.bugPie(devid));
                jr.put("bugtime", this.dbMapper.bugtimeForDevice(devid));
                Map<String, List<Object>> dbBugsta = EntryResult.parseEntryList(this.dbMapper.dbBugForDevice(devid), "type", "bugnum");
                List<Map<String, Object>> dbList = new ArrayList<>();
                Map<String, Object> dbCri = new HashMap<>();
                dbCri.put("name", "紧急漏洞");
                dbCri.put("data", dbBugsta == null ? 0 : dbBugsta.get(ReportService.REPORT_STATE_SUCCESS));
                dbList.add(dbCri);
                Map<String, Object> dbHigh = new HashMap<>();
                dbHigh.put("name", "高危漏洞");
                dbHigh.put("data", dbBugsta == null ? 0 : dbBugsta.get(ReportService.REPORT_STATE_FAILED));
                dbList.add(dbHigh);
                Map<String, Object> dbMedium = new HashMap<>();
                dbMedium.put("name", "中危漏洞");
                dbMedium.put("data", dbBugsta == null ? 0 : dbBugsta.get("3"));
                dbList.add(dbMedium);
                Map<String, Object> dbLow = new HashMap<>();
                dbLow.put("name", "低危漏洞");
                dbLow.put("data", dbBugsta == null ? 0 : dbBugsta.get("4"));
                dbList.add(dbLow);
                Map<String, Object> dbInfo = new HashMap<>();
                dbInfo.put("name", "信息");
                dbInfo.put("data", dbBugsta == null ? 0 : dbBugsta.get("5"));
                dbList.add(dbInfo);
                jr.put("bugsta", dbList);
                jr.put("colors", Constant.BUG_DB_COLOR);
                break;
            case 5:
                jr.put("bugpie", this.horseMapper.bugPie(devid));
                jr.put("bugtime", this.horseMapper.bugtimeForDevice(devid));
                List<Map<String, Object>> horseList = new ArrayList<>();
                Map<String, Object> horseNum = new HashMap<>();
                horseNum.put("name", "木马/病毒数");
                horseNum.put("data", this.horseMapper.horseForDevice(devid));
                horseList.add(horseNum);
                jr.put("bugsta", horseList);
                break;
            case 7:
                jr.put("bugpie", this.maliMapper.bugPie(devid));
                jr.put("bugtime", this.maliMapper.bugtimeForDevice(devid));
                List<Map<String, Object>> maliList = new ArrayList<>();
                Map<String, Object> maliNum = new HashMap<>();
                maliNum.put("name", "网站恶意代码数");
                maliNum.put("data", this.maliMapper.maliForDevice(devid));
                jr.put("bugsta", maliList);
                break;
            case 9:
                jr.put("bugpie", this.dlpscanMapper.bugPie(devid));
                List<String> btimes = new ArrayList<>();
                ArrayList arrayList4 = new ArrayList();
                for (Map<String, Object> pwdDev2 : this.dlpscanMapper.dlpBugForDevice(devid)) {
                    btimes.add(ObjectUtil.getString(pwdDev2.get("time"), ""));
                    arrayList4.add(Integer.valueOf(ObjectUtil.getInt(pwdDev2.get("num"), 0)));
                }
                jr.put("bugtime", btimes);
                List<Map<String, Object>> dlp = new ArrayList<>();
                Map<String, Object> map2 = new HashMap<>();
                map2.put("name", "敏感信息");
                map2.put("data", arrayList4);
                dlp.add(map2);
                jr.put("bugsta", dlp);
                break;
        }
        return jr;
    }

    public int searchBlineDevCount(HttpSession session, String ip, String name) throws Exception {
        return this.resultMapper.searchBlineDevCount(ip, name, DataRule.getRuleWhere(session, "t_task"));
    }

    public List<Map<String, Object>> searchBlineDev(HttpSession session, String ip, String name, Integer offset, Integer limit) throws Exception {
        return this.resultMapper.searchBlineDev(ip, name, offset, limit, DataRule.getRuleWhere(session, "t_task"));
    }

    public List<Map<String, Object>> blineResult(Integer id, String type, Integer offset, Integer limit) throws Exception {
        return this.resultMapper.blineResult(id, type, offset, limit);
    }

    public Integer blineResCount(Integer id, String type) throws Exception {
        return this.resultMapper.blineResCount(id, type);
    }

    public int searchPwdDevCount(HttpSession session, String ip, String name) throws Exception {
        return this.resultMapper.searchPwdDevCount(ip, name, DataRule.getRuleWhere(session, "t_task"));
    }

    public List<Map<String, Object>> searchPwdDev(HttpSession session, String ip, String name, Integer offset, Integer limit) throws Exception {
        return this.resultMapper.searchPwdDev(ip, name, offset, limit, DataRule.getRuleWhere(session, "t_task"));
    }

    public List<Map<String, Object>> pwdResult(Integer id, Integer offset, Integer limit) throws Exception {
        return this.resultMapper.pwdResult(id, offset, limit);
    }

    public Integer pwdResCount(Integer id) throws Exception {
        return this.resultMapper.pwdResCount(id);
    }

    public List<Map<String, Object>> getTaskResult(String ip1, String ip2, Integer taskType, String sdate, String edate, String name, Integer status, String bugTemp, Integer uid, Integer offset, Integer limit) {
        return this.resultMapper.getTaskResult(ip1, ip2, taskType, sdate, edate, name, status, bugTemp, uid, offset, limit);
    }

    public Integer getTaskCount(String ip1, String ip2, Integer taskType, String sdate, String edate, String name, Integer status, String bugTemp, Integer uid) {
        return this.resultMapper.getTaskCount(ip1, ip2, taskType, sdate, edate, name, status, bugTemp, uid);
    }

    public List<Map<String, Object>> getDevices(String ip1, String ip2, Integer id) {
        return this.resultMapper.getDevices(ip1, ip2, id);
    }

    public List<Integer> getTaskDevIdByType(Integer type) throws Exception {
        return this.resultMapper.getTaskDevIdByType(type);
    }

    public List<Map<String, Object>> getWebDataSta() throws Exception {
        return this.resultMapper.getWebDataSta();
    }

    public Integer getHaveBugsWebCount() {
        return this.resultMapper.getHaveBugsWebCount();
    }

    public Integer getNoAccessWebCount() {
        return this.resultMapper.getNoAccessWebCount();
    }

    public List<Map<String, Object>> getSysDataSta() throws Exception {
        return this.resultMapper.getSysDataSta();
    }

    public List<Map<String, Object>> getDbDataSta() throws Exception {
        return this.resultMapper.getDbDataSta();
    }

    public Integer getHaveBugsSysCount() {
        return this.resultMapper.getHaveBugsSysCount();
    }

    public Integer getHaveBugsDbCount() {
        return this.resultMapper.getHaveBugsDbCount();
    }
}
